Subject: bug#26958: Can we make wavy underlines scale like straight ones?

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 May 2017 10:18:30 +0300

> Cc: [email-masked]
> From: Clément Pit--Claudel <[email-masked]>
> Date: Wed, 17 May 2017 15:38:32 -0400
> 
> On 2017-05-17 11:23, Eli Zaretskii wrote:
> >> For xterm.c, the relevant function seems to be x_draw_underwave.
> > How about sending a patch?
> 
> I had a quick look. The current code uses a loop and draws line segments between each of the underline points.
> This strategy doesn't look as pretty when using a thicker line.  Would it be OK to use XDrawLines instead?

I don't think I understand your proposal, and I'm not an expert on X
graphics anyway.  How about presenting a patch that works for you?